# 基础功能块使用说明

## 校验任务实例Id是否存在 (CheckTaskRecordIdIsExistBp)

### 描述
本块用于校验任务实例Id是否存在。

### 输入参数

| 参数名        | 是否必填 | 类型   | 描述       |
|--------------|---------|--------|------------|
| taskRecordId | 必填     | String | 任务实例Id  |

### 上下文变量

| 变量名           | 类型     | 描述      |
|-----------------|----------|-----------|
| taskRecordIdIsExist | boolean | Id是否存在 |

## 立即释放任务资源 (ReleaseResourceBp)

### 描述
本块用于立即释放任务资源(相同设备下可以继续下达相同任务)。

### 输入参数
无

### 输出参数
无

## 创建唯一id (CreateUuidBp)

### 描述
本块用于创建唯一id。

### 输入参数
无

### 上下文变量

| 变量名      | 类型   | 描述       |
|------------|--------|------------|
| createUuid | String | 创建唯一id  |

## 当前时间戳 (CurrentTimeStampBp)

### 描述
本块用于获取当前时间戳。

### 输入参数
无

### 上下文变量

| 变量名           | 类型  | 描述       |
|-----------------|-------|------------|
| currentTimeStamp | Long | 当前时间戳  |

## 执行sql (JdbcExecuteBp)

### 描述
本块用于执行sql语句。

### 输入参数

| 参数名 | 是否必填 | 类型   | 描述    |
|-------|---------|--------|---------|
| sql   | 必填     | String | sql语句 |

### 输出参数
无

## 查询sql (JdbcQueryBp)

### 描述
本块用于查询sql语句。

### 输入参数

| 参数名 | 是否必填 | 类型   | 描述    |
|-------|---------|--------|---------|
| sql   | 必填     | String | sql语句 |

### 上下文变量

| 变量名     | 类型   | 描述         |
|-----------|--------|--------------|
| resultSet | String | 查询sql返回值 |

## 打印 (PrintBp)

### 描述
本块用于打印信息。

### 输入参数

| 参数名   | 是否必填 | 类型 | 描述 |
|---------|---------|------|------|
| message | 非必填   | Any  | 消息 |

### 输出参数
无

## 将字符串转换成JSON数组 (StringToJsonArrayBp)

### 描述
本块用于将字符串转换成JSON数组。

### 输入参数

| 参数名        | 是否必填 | 类型   | 描述           |
|--------------|---------|--------|----------------|
| convertString | 必填    | String | 需要转换的字符串 |

### 输出参数

| 参数名        | 类型   | 描述             |
|--------------|--------|------------------|
| convertArray | Object | 转换后的JSON数组  |

## 将字符串转换成JSON对象 (StringToJsonObjectBp)

### 描述
本块用于将字符串转换成JSON对象。

### 输入参数

| 参数名        | 是否必填 | 类型   | 描述           |
|--------------|---------|--------|----------------|
| convertString | 必填    | String | 需要转换的字符串 |

### 输出参数

| 参数名         | 类型   | 描述             |
|---------------|--------|------------------|
| convertObject | Object | 转换后的JSON对象  |

## 当前时间 (TimestampBp)

### 描述
本块用于获取当前时间。

### 输入参数
无

### 上下文变量

| 变量名     | 类型   | 描述 |
|-----------|--------|------|
| timestamp | String | 时间 |
</rewritten_file> 