# 任务功能块使用说明

## 缓存数据 (CacheDataBp)

### 描述
本块用于缓存全局数据，相同key的值会被覆盖替换。

### 输入参数

| 参数名    | 是否必填 | 类型   | 描述 |
|---------|---------|--------|------|
| key     | 必填     | String | 键   |
| value   | 必填     | String | 值   |

### 输出参数
无

## 清除缓存数据 (ClearCacheDataBp)

### 描述
本块用于清除指定key的缓存数据。
### 输入参数

| 参数名 | 是否必填 | 类型   | 描述 |
|-------|---------|--------|------|
| key   | 必填     | String | 键   |

### 输出参数
无

## 获取缓存数据 (GetCacheDataBp)

### 描述
本块用于获取指定key的缓存数据。
### 输入参数

| 参数名 | 是否必填 | 类型   | 描述 |
|-------|---------|--------|------|
| key   | 必填     | String | 键   |

### 上下文变量

| 变量名 | 类型   | 描述       |
|-------|--------|------------|
| value | String | 缓存的数据  |



## 设置任务变量 (SetTaskVariableBp)

### 描述
本块用于设置任务级别变量，可在整个任务流程中使用。

### 输入参数

| 参数名    | 是否必填 | 类型 | 描述     |
|----------|---------|------|----------|
| varName  | 必填     | String | 变量名   |
| varValue | 必填     | Any    | 变量值   |

### 输出参数
无

## 跳到某个块 (SkipToComponent)

### 描述
本块用于控制流程跳转到指定的组件。

### 输入参数

| 参数名          | 是否必填 | 类型   | 描述           |
|----------------|---------|--------|----------------|
| skipComponentId | 必填    | String | 跳转到块的标识  |

### 输出参数
无

## 设置任务状态 (TaskStateBp)

### 描述
本块用于设置当前任务的状态描述，通常用于指示任务进度。

### 输入参数

| 参数名    | 是否必填 | 类型   | 描述       |
|----------|---------|--------|------------|
| stateMsg | 必填     | String | 状态描述信息 |

### 输出参数
无 